# Makefile for Java part of JavaGDBM
# Katherine Don, 2005

JAVAC = @JAVAC@
JAR = jar

JAVACFLAGS = @JAVACFLAGS@

JAVAGDBMHOME=../
JAVACLASSDIR=./classes
JAVASRCDIR=.
JAVACOPTIONS= -deprecation -g -O
JAVACLASSPATH=$(JAVACLASSDIR):

all: setup compile

setup:
	mkdir -p $(JAVACLASSDIR)

compile: setup
	$(JAVAC) $(JAVACFLAGS) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) au/com/pharos/*/*.java
	$(JAVAC) -classpath $(JAVACLASSPATH) -h $(JAVAGDBMHOME)/jni -d $(JAVACLASSDIR) au/com/pharos/gdbm/GdbmFile.java 
	jar cf $(JAVAGDBMHOME)/javagdbm.jar -C $(JAVACLASSDIR) au

clean:
	rm -rf $(JAVACLASSDIR) $(JAVAGDBMHOME)/javagdbm.jar $(JAVAGDBMHOME)/jni/au_com_pharos_gdbm_GdbmFile.h 

install:

distclean: clean
	rm -f Makefile

